<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>Eden</title>
	<link rel="icon" type="image/x-icon" href="/image/favicon.ico">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
	<link href="https://cdnjs.cloudflare.com/ajax/libs/noUiSlider/14.6.0/nouislider.css" rel="stylesheet">

	<style>
		body  {
		  background-image: url("/image/WebbFromAriane.jpg");
		  background-color: #cccccc;
		  background-size: 100%;		
		}
	</style>

	<style>

		.column {
		float: left;
		width: 50%;
		}

		/* Clear floats after the columns */
		.row:after {
		content: "";
		display: table;
		clear: both;
		}

		.box {
		border: 1px solid black;
		padding: 50px;
		margin: 30px;
		box-shadow: 10px 5px 5px rgb(0, 0, 0);
		background: rgb(0, 0, 0);
		opacity: 0.67;
		}
	</style>

</head>
<body>
	<form action = "/edenapp" method = "POST">
		<h1 style="color:#ffffff; text-align: center; font-family: Helvetica, sans-serif;"><br> <b>Commençons.</b></h1><br><br>

		<div class="row">
			<div class="column" style="font-family: Helvetica, sans-serif;">
				<div class="box" style="border-radius: 10px; border-width: 0px">
					<h3 style="color:#FFFFFF; text-align: center;"> <b>Configuration du terrain</b><br><br></h3>
					<hr class="mt-2 mb-3" style="color:#777777;"/><br>
					<label style="color:#FFFFFF;">• Quel est le nom du terrain ? </label>
					<input name='field_name' type='string' maxlength='30'></input><br><br><br>
					
					<label for="design" style="color:#FFFFFF;">• Type d'architecture : </label>
					<select name="design" id="design">
						<option value="circle">Guildes circulaires</option>
					</select><br><br><br>
			
					<label style="color:#FFFFFF;">• Longueur du terrain (en mètres) : </label>
					<input name='field_length' type='number' maxlength='4'></input><br><br><br>
			
					<label style="color:#FFFFFF;">• Largeur du terrain (en mètres) : </label>
					<input name='field_width' type='number' maxlength='4'></input><br>
				</div>
			</div>
			
			<div class="column" style="text-align: center; font-family: Helvetica, sans-serif;">
				<div class="box" style="border-radius: 10px; border-width: 10px">
					<h3 style="color:#FFFFFF;"> <b>Paramètres environnementaux</b><br><br></h3>
					<hr class="mt-2 mb-3" style="color:#777777;"/><br>
					<label style="color:#FFFFFF;">Ensoleillement :</label><br>
					<select name="exposure" id="exposure">
						<option value="1">Plein Soleil</option>
						<option value="12">Peu ombragé</option>
						<option value="13">Plutôt ombragé</option>
						<option value="2">Ombragé</option>
						<option value="23">Très ombragé</option>
						<option value="3">Obscure</option>
					</select><br><br><br>
		
					<label style="color:#FFFFFF;">Environnement : </label><br>
					<select name="moisture" id="exposure">
						<option value="1">Sec</option>
						<option value="12">Sec à frais</option>
						<option value="13">Sec à humide</option>
						<option value="14">Sec à très humide</option>
						<option value="15">Sec à aquatique</option>
						<option value="2">Frais</option>
						<option value="23">Frais à humide</option>
						<option value="24">Frais à très humide</option>
						<option value="25">Frais à aquatique</option>
						<option value="3">Humide</option>
						<option value="34">Humide à très humide</option>
						<option value="35">Humide à aquatique</option>
						<option value="4">Très humide</option>
						<option value="45">Très humide à aquatique</option>
						<option value="5">Aquatique</option>
					</select><br><br><br>
		
					<label style="color:#FFFFFF;">Densité du sol : </label><br>
					<select name="soil" id="soil">
						<option value="1">Léger</option>
						<option value="2">Intermédiaire</option>
						<option value="3">Compact</option>
						<option value="4">Tourbe</option>
					</select><br><br><br>
		
					<label style="color:#FFFFFF;">Résistance au froid : </label><br>
					<select name="hardiness" id="hardiness">
						<option value="1">Sous -45°C</option>
						<option value="2">Jusqu'à -45°C</option>
						<option value="3">Jusqu'à -40°C</option>
						<option value="4">Jusqu'à -35°C</option>
						<option value="5">Jusqu'à -29°C</option>
						<option value="6">Jusqu'à -23°C</option>
						<option value="7">Jusqu'à -18°C</option>
						<option value="8">Jusqu'à -12°C</option>
						<option value="9">Jusqu'à -7°C</option>
						<option value="10">Au moins 1°C</option>
					</select><br><br>
				</div>
			</div>
		  </div><br><br>
	
		<div style="text-align: center;">
			<input id="submit" type = "submit" class="btn btn-light" value = "Demandez à Eden">
		</div>

	</form>
</body>
</html>